> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invitations by Company

> Returns a paginated list of connection invitations for the specified company, filtered to CREATE_CONNECTION and EDIT_CONNECTION types. Supports filtering by status and invitation type.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json get /invitation/company/{company_id}
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /invitation/company/{company_id}:
    get:
      tags:
        - Invitations
      summary: List Invitations by Company
      description: >-
        Returns a paginated list of connection invitations for the specified
        company, filtered to CREATE_CONNECTION and EDIT_CONNECTION types.
        Supports filtering by status and invitation type.
      operationId: invitation_company_retrieve
      parameters:
        - in: path
          name: company_id
          schema:
            type: string
            format: uuid
          description: ID of the company.
          required: true
        - in: query
          name: invitationType
          schema:
            type: string
            enum:
              - CREATE_CONNECTION
              - EDIT_CONNECTION
          description: Filter by invitation type.
        - in: query
          name: limit
          schema:
            type: integer
          description: Items per page (default 25, max 100).
        - in: query
          name: page
          schema:
            type: integer
          description: Page number (default 1).
        - in: query
          name: status
          schema:
            type: string
            enum:
              - ACTIVE
              - EXPIRED
              - FULFILLED
              - REVOKED
          description: Filter by invitation status.
      responses:
        '200':
          description: Paginated invitation list.
      security:
        - ExternalAuthentication: []
components:
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````